## sbl-3.5.0.20130317.git7a75bc29.tar.bz2

=== Makefile ===
### global Makefile for sbl and brld
### Author: Marco Skambraks <marco@skammel.de>

all: brld_bin sbl_bin

brld_bin:
	make -C brld
	

sbl_bin:
	make -C sbl


clean:
	make -C brld clean
	make -C sbl clean
	make -C python clean
	rm -f jj.jj xyz *.o *.so *.so.* *~

install: sbl brld
	make -C sbl install
	make -C brld install
	make -C python install

uninstall:
	make -C brld uninstall
	make -C sbl uninstall
	make -C python uninstall
