=== brld/Makefile ===
### brld - Makefile
### Author: Marco Skambraks <marco@skammel.de


include ../make.config

# increment this when an update breaks backward compatibility.
SOVER=1

# increment this for an update which does not break compatibility
SOMINOR=0

LINKNAME=libbrld.so
SONAME=$(LINKNAME).$(SOVER)
LIBNAME=$(SONAME).$(SOMINOR)

SRCS = brld.c  load_config.c  load_driver.c  ringbuffer.c
OBJS = $(SRCS:.c=.o)

CFLAGS += -rdynamic -W -Wall 
DIRFLAGS = '-DPROGPATH="$(PROGPATH)"' '-DCONFDIR="$(CONFDIR)"'
LDLIBS = -lpthread -ldl -lusb

all: brld $(LIBNAME)

brld: $(OBJS)

$(LIBNAME): libbrld.c
	$(CC) $(CFLAGS)	-fPIC -shared -Wl,-soname,$(SONAME) -o $(LIBNAME) $<

clean:
	$(RM) brld *~ *.o jj.jj *.so *.so.*

install: brld $(LIBNAME)
	install --directory $(DESTDIR)$(SBINDIR)
	install brld $(DESTDIR)$(SBINDIR)
	install --directory $(DESTDIR)$(LIBDIR)
	install $(LIBNAME) $(DESTDIR)$(LIBDIR)
	ln -s $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(SONAME)
	ln -s $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(LINKNAME)
	install --directory $(DESTDIR)$(MANDIR)/man8
	install ../man/brld.8 $(DESTDIR)$(MANDIR)/man8

uninstall:
	$(RM) $(DESTDIR)$(SBINDIR)/brld
	$(RM) $(DESTDIR)$(LIBDIR)$(LINKNAME).*
	$(RM) $(DESTDIR)$(MANDIR)/man8/brld.8

%.o: %.c
	$(COMPILE.c) $(DIRFLAGS) $(OUTPUT_OPTION) $<
