=== brld/example/Makefile ===
CFLAGS += -rdynamic -W -Wall
LDLIBS = -ldl

all: brlc

brlc: brlc.c

clean:
	$(RM) brlc *.o *~ jj.jj
