=== sbl/Alva/Makefile ===
DRIVER = alva
include ../driver.mk

#all: brlmain.cc brl.o

brlmain.o: brlmain.c
	$(CC) -Wall $(BRL_CFLAGS) '-DBRLDEV="$(BRLDEV)"' -c brlmain.c ../sbllog.c
brl.o: brlmain.o 
	$(LD) -r -o brl.o brlmain.o
brl-lib-name:
