=== sbl/Baum/Makefile ===
DRIVER = baum
include ../driver.mk

brl.o: brl.c brlconf.h ../brl_driver.h ../brl.h ../misc.h ../beeps.h ../config.h
	$(CC) -Wall $(BRL_CFLAGS) -c brl.c

brl-lib-name:
