=== sbl/Blazie/Makefile ===
DRIVER = blazie
TARGETS = brl.c ../brl.h ../misc.h ../inskey.h ../message.h \
	../config.h brlconf.h ../brl_driver.h bindings.h

include ../driver.mk


#brl.o: $(TARGETS)
#	$(CC) $(BRL_CFLAGS) -c brl.c

brl.o: $(TARGETS)
	$(CC) $(BRL_CFLAGS) '-DBRLDEV="$(BRLDEV)"' -o brl.o -c brl.c

brl-lib-name:
