=== sbl/Fhp/Makefile ===
DRIVER = fhp
TARGETS = brl.c ../sbllog.c

include ../driver.mk

brl.o: $(TARGETS)
	$(CC) -Wall $(BRL_CFLAGS) '-DBRLDEV="$(BRLDEV)"' -c brl.c ../sbllog.c

brl-lib-name:
