=== sbl/Fhp_usb/Makefile ===
DRIVER = fhp_usb
TARGETS = brl.c ../brl.h ../brl_driver.h ../misc.h

include ../driver.mk

brl.o: $(TARGETS)
	$(CC) -Wall $(BRL_CFLAGS) '-DBRLDEV="$(BRLDEV)"' -c brl.c

brl-lib-name:
