=== sbl/HT/Makefile ===
IFLAGS = -W -Wall -I..
DRIVER = ht
include ../driver.mk 
variolow.o: variolow.c variolow.h
	$(CC) $(BRL_CFLAGS) $(IFLAGS) -c variolow.c

vario.o:vario.c ../brl_driver.h ../misc.h
	$(CC) $(BRL_CFLAGS) $(IFLAGS) -c vario.c 
brl.o:vario.o variolow.o ../trans.o
	$(LD) -r -o brl.o variolow.o vario.o ../trans.o

brl-lib-name:
