=== debian/changelog ===
sbl (3.3-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Henning Oschwald <henning@hoschwald.de>  Tue, 05 Aug 2008 20:04:18 +0200
