=== debian/control ===
Source: sbl
Section: unknown
Priority: extra
Maintainer: Henning Oschwald <henning@hoschwald.de>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: <insert the upstream URL, if relevant>

Package: sbl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: sbl-daemon
Architecture: all
Description: Documentation for sbl
 <insert long description, indented with spaces>

Package: sbl-kbdsnif
Architecture: all
Description: Documentation for sbl
 <insert long description, indented with spaces>
